Dark Reading is part of the Informa Tech Division of Informa PLC

This site is operated by a business or businesses owned by Informa PLC and all copyright resides with them.Informa PLC's registered office is 5 Howick Place, London SW1P 1WG. Registered in England and Wales. Number 8860726.

Analytics

8/23/2019
09:00 AM
100%
0%

10 Low-Cost (or Free!) Ways to Boost Your Security AI Skills

The following hardware and software options will amplify your know-how about artificial intelligence and how to apply it to security - without busting any budgets.
Previous
1 of 11
Next

From IT to marketing to HR, artificial intelligence (AI) is making its way throughout the enterprise. For security professionals, learning about the technology and how to apply it can be critical for keeping up with malicious actors and turning security into an asset. The question is how to do so without creating a new section on the "expense" side of the ledger.

The good news: Tools are available that allow virtually anyone with basic software development skills to begin honing their AI chops for a price that ranges from free to a few hundred dollars.

AI security involves many areas of research, says Jason Mancuso, a research scientist at Dropout Labs who spoke at the AI Village at DEF CON. "There is applying AI to security problems," he explains. "There's using AI to enhance red teaming or blue teaming in traditional cybersecurity. Then there's the security of AI itself, which is a totally separate field, and it's concerned with different problems."

While AI research can be conducted on a standard laptop computer, AI research can benefit from a bit of a hardware boost. For this list, we've assembled both hardware aimed at an AI mission as well as software that will help those who are first getting started.

Bear in mind: Just because these options are inexpensive doesn't mean AI is easy to master. That's where online communities, education resources, and local Meetups dedicated to AI can help.  

Have you begun the process of adding AI to your security repertoire? Which tools are you using? Let us know in the Comments.

(Image Source: Worawut via Adobe Stock)

 

Curtis Franklin Jr. is Senior Editor at Dark Reading. In this role he focuses on product and technology coverage for the publication. In addition he works on audio and video programming for Dark Reading and contributes to activities at Interop ITX, Black Hat, INsecurity, and ... View Full Bio

Previous
1 of 11
Next
Comment  | 
Print  | 
More Insights
Comments
Threaded  |  Newest First  |  Oldest First
COVID-19: Latest Security News & Commentary
Dark Reading Staff 7/1/2020
Ripple20 Threatens Increasingly Connected Medical Devices
Kelly Sheridan, Staff Editor, Dark Reading,  6/30/2020
DDoS Attacks Jump 542% from Q4 2019 to Q1 2020
Dark Reading Staff 6/30/2020
Register for Dark Reading Newsletters
White Papers
Video
Cartoon
Current Issue
The Threat from the Internet--and What Your Organization Can Do About It
This report describes some of the latest attacks and threats emanating from the Internet, as well as advice and tips on how your organization can mitigate those threats before they affect your business. Download it today!
Flash Poll
Twitter Feed
Dark Reading - Bug Report
Bug Report
Enterprise Vulnerabilities
From DHS/US-CERT's National Vulnerability Database
CVE-2020-15478
PUBLISHED: 2020-07-01
The Journal theme before 3.1.0 for OpenCart allows exposure of sensitive data via SQL errors.
CVE-2020-6261
PUBLISHED: 2020-07-01
SAP Solution Manager (Trace Analysis), version 7.20, allows an attacker to perform a log injection into the trace file, due to Incomplete XML Validation. The readability of the trace file is impaired.
CVE-2020-15471
PUBLISHED: 2020-07-01
In nDPI through 3.2, the packet parsing code is vulnerable to a heap-based buffer over-read in ndpi_parse_packet_line_info in lib/ndpi_main.c.
CVE-2020-15472
PUBLISHED: 2020-07-01
In nDPI through 3.2, the H.323 dissector is vulnerable to a heap-based buffer over-read in ndpi_search_h323 in lib/protocols/h323.c, as demonstrated by a payload packet length that is too short.
CVE-2020-15473
PUBLISHED: 2020-07-01
In nDPI through 3.2, the OpenVPN dissector is vulnerable to a heap-based buffer over-read in ndpi_search_openvpn in lib/protocols/openvpn.c.